import Flutter
import UIKit
import UnifiedDataFingerprintSwift

public class SwiftFlutterUdfPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutter_udf_plugin", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterUdfPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
      if call.method == "getHashForPhoneNumber" {
            guard let args = call.arguments else {
              result("iOS could not recognize flutter arguments in method: (sendParams)")
            }
            let phoneNumber = args["phoneNumber"]
            let hash = getHashForPhoneNumber(phoneNumber)
            result(hash)

          }
          else {
            result("Flutter method not implemented on iOS")
          }
  }

  public func hashFromPhoneNumber(_ phoneNumber: String) -> String {
        let phone = phoneNumber.data(using: .utf8)
        let udf = UDF.dataFingerprint(data: phone, addressType: .phone, groups: 7)
        return udf
  }
    
};

