import 'dart:async';

import 'package:flutter/services.dart';

class FlutterUdfPlugin {
  static const MethodChannel _channel =
      const MethodChannel('flutter_udf_plugin');


  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> getUdfHashForPhoneNumber(phoneNumber) async {
    final String hash = await _channel.invokeMethod(
        'getHashForPhoneNumber', <String, dynamic>{'phoneNumber': phoneNumber});
    return hash;
  }
}
