import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_udf_plugin/flutter_udf_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_udf_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return 'MCIT-HW7U-5AKU-JLLF-44ZK-QXF4-QKHJ';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });
  
  test('getUdfHashForPhoneNumber', () async {
    final String hash = await FlutterUdfPlugin.getUdfHashForPhoneNumber("+491722346123");
    print(hash);
    expect(hash, "MCIT-HW7U-5AKU-JLLF-44ZK-QXF4-QKHJ");
  });
}
